package bookExamples.ch44Printing.cdLabel;


import gui.run.RunMenu;
import gui.run.RunMenuItem;
import utils.PrintUtils;

import javax.swing.*;

import bookExamples.ch44Printing.cdLabel.CdLabelPrinterMain;

/**
 * Created by IntelliJ IDEA.
 * User: Dahiana M
 * Date: Oct 2, 2005
 * Time: 9:53:36 PM
 * To change this template use File | Settings | File Templates.
 */
public class CdLabelPrinterFileMenu {
    public static void addFileMenu(final CdLabelPrinterMain main, JMenuBar mb) {
        RunMenu fileMenu = new RunMenu("[File");
        mb.add(fileMenu);

        fileMenu.add(new RunMenuItem("[Open{ctrl O}",
                MyHex.getOpenIcon()) {
            public void run() {
                main.showLabel(main.getDate());
            }
        });

        fileMenu.add(new RunMenuItem("[Print {ctrl p}",
                MyHex.getPrinterIcon()) {
            public void run() {
                //the following makes sure that the display remains the same. Without this
                //PrintUtils.printComponents... returned a display with today's date, and not with the date
                //that I had assigned before I printed the label.
                JLabel recordedDate = new JLabel(main.month+" "+main.day+" "+ main.year);
                PrintUtils.printComponent(main.borderPanel);
                System.out.println(main.month+""+main.day+""+main.year);
                main.setLabel(recordedDate);
            }
        });

        fileMenu.add(new RunMenuItem("[Set Date{ctrl s}",
                MyHex.getClockIcon()) {
            public void run() {
                main.setDate();

            }
        });
        fileMenu.add(new RunMenuItem("[Quit{ctrl Q}",
                MyHex.getExitIcon()) {
            public void run() {
                main.dispose();
            }
        });
    }
}
